import { jsx } from "react/jsx-runtime";
import { Scales as Scales$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Scales = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "Scales", ...props, children: /* @__PURE__ */ jsx(Scales$1, { weight: variant }) });
  }
);
Scales.displayName = "Scales";
Object.assign(Scales, { isGdsIcon: true });
export {
  Scales
};
